<?php

/**
 * Copyright (c) D3 Data Development (Inh. Thomas Dartsch)
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 *
 * https://www.d3data.de
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author    D3 Data Development - Daniel Seifert <info@shopmodule.com>
 * @link      https://www.oxidmodule.com
 */

// @codeCoverageIgnoreStart

$sModId = 'd3modcfg_lib';

$sD3Help_mappedTo = '<p>Our modules are prepared for the default themes of the OXID eShop. You don\'t need to enter anything here, if your used shop theme is (or extends) a default OXID theme. Is it a completely individual Theme, please enter the parent theme id to the OXID default theme that is closest to it.</p><p>Read further informations in our <a href="https://faq.d3data.de/allgemein/template-bloecke-dem-eigenen-theme-zuordnen/" target="FAQ">FAQ</a>.</p>';

return [
    'charset'                                  => 'UTF-8',
    'd3mxd3modules'                            => "<i class='fab fa-fw fa-d3 d3fa-color-blue'></i> Module",
    'd3mxcfg'                                  => "<i class='fas fa-fw fa-cogs'></i> Module Connector",
    'd3mxcfgmod_settings'                      => 'Settings',
    'd3mxextensions'                           => 'Module Administration',
    'd3tbclext_installation'                   => 'Module Installation',
    'd3tbclext_status'                         => 'installed modules',
    'd3tbclext_new'                            => 'available modules',
    'd3mxlibs'                                 => 'Libraries',
    'd3mxsysitems'                             => 'System Settings',
    'd3tbclmoditems'                           => 'Module items',
    'd3tbclcfgitems'                           => 'Config items',
    'd3tbclmaintenance'                        => 'maintenance',
    'd3tbclcfglibs'                            => 'Library settings',
    'd3tbcllib_status'                         => 'Status',
    'd3tbcllib_syscheck'                       => 'System Check',
    'd3tbcllib_support'                        => 'Support',

    'D3MODCFG_LIB_TRANSL'                      => 'Module Connector',
    'D3MODCFG_LIB_HELPLINK'                    => 'Modul-Connector/',

    'D3MODCFG_LIB_HELPLINK_STATUS'             => 'Update/',
    'D3MODCFG_LIB_HELPLINK_SUPPORT'            => 'Support/',
    'D3MODCFG_EXT_HELPLINK_STATUS'             => 'Extensions/',
    'D3MODCFG_EXT_HELPLINK_SUPPORT'            => 'Support/',

    'D3_MOD_LIB_INSTALLED'                     => 'installed libraries',
    'D3_MOD_EXT_INSTALLED'                     => 'installed modules',
    'D3_MOD_EXT_AVAILABLE'                     => 'available modules',
    'D3_CFG_LIB_GETLIBLIST'                    => 'check for available version',
    'D3_CFG_LIB_GETDETAILS'                    => 'show details / settings',
    'D3_CFG_LIB_GETNEWLIBLIST'                 => 'check for available version',
    'D3_CFG_LIB_CONNECTERROR'                  => 'Unable to connect with the connector update tool.\n\nPlease assure, that curl connections or serverspanned file connections are possible.',
    'D3_CFG_LIB_VERSION'                       => 'version',
//    'D3_CFG_LIB_REVISION'                      => 'rev.',
    'D3_CFG_LIB_SHOPVERSION'                   => 'for shop version',
    'D3_CFG_LIB_INSTALLDATE'                   => 'installed at',
    'D3_CFG_LIB_NOTINSTALLED'                  => 'not installed',
    'D3_CFG_LIB_INSTALLED'                     => 'installed version',
    'D3_CFG_LIB_INSTALLEDVERSIONNOTCONGRUENT'  => 'The version declaration of the module aren\'t congruently. Maybe the installation isn\'t correct.',
    'D3_CFG_LIB_AVAILABLE'                     => 'available version',
    'D3_MOD_LIB_AVAIL_REMOTELIBS'              => 'available library',
    'D3_MOD_LIB_NOACTION'                      => 'no update required',
    'D3_MOD_LIB_INSTALL'                       => 'install module',
    'D3_MOD_LIB_REFRESH'                       => 'refresh module',
    'D3_MOD_EXT_REFRESH'                       => 'There\'s an update available for this module',
    'D3_MOD_LIB_NOUPDATEINFO'                  => 'no update informations available for this module',
    'D3_MOD_LIB_NODOWNLOAD'                    => 'no download available for this module',
    'D3_MOD_LIB_NOINSTALL'                     => 'no installation available for this module',
    'D3_MOD_LIB_OVERWRITE'                     => 'renew',
    'D3_MOD_LIB_DOWNLOAD'                      => 'download as file',
    'D3_MOD_LIB_BETA'                          => '(beta)',
    'D3_CFG_LIB_VERSIONUNKNOWN'                => 'unknown',
    'D3_CFG_LIB_FORMERVERSION'                 => 'last version',
    'D3_CFG_LIB_USEABLETO'                     => 'checked to shop',
    'D3_CFG_LIB_STATUS'                        => 'status',
    'D3_CFG_LIB_LIBRARY'                       => 'library',
    'D3_CFG_LIB_EXTENSION'                     => 'module',
    'D3_CFG_LIB_INFO'                          => 'info',
    'D3_CFG_LIB_INSTALLATION'                  => 'install.',
    'D3_CFG_LIB_DOWNLOADIT'                    => 'downl.',
    'D3_CFG_LIB_UPDATE'                        => 'update',
    'D3_CFG_LIB_MAINTENANCEMODE'               => 'Due to maintenance and update work, the update is unfortunately not available for a short time. Please try again later. Thank you for your appreciation.',
    'D3_CFG_LIB_NOINSTALLNOTICE'               => 'The used version of the module connector has been specially prepared. If you use this interface to update the connector, your files will be overwritten. Therefore, we strongly advise against an automatic update. \n\nIf you want to update the connector, please ask your supplier for a new individual version for you. \n\nYour D³ Data Development Team.',
    'D3_CFG_LIB_DOWNLOAD_UNAVAILABLE'          => 'The download is unavailable because of technical reasons. Please contact us.',

    'd3tbcl_licence'                           => 'Support',
    'D3_CFG_MOD_LIST_SETTLANG'                 => 'settings for language',

    'D3_CFG_MOD_GENERAL_MODULEACTIVE'          => 'module active',
    'D3_CFG_MOD_GENERAL_MODULEACTIVE_DESC'     => 'In contrast to shops own module registration provides this option, that module can set inoperable without deinstallation.',
    'D3_CFG_MOD_GENERAL_DEBUGACTIVE'           => 'debug active',
    'D3_CFG_MOD_GENERAL_DEBUGACTIVE_DESC'      => 'Activate the debug mode with the switch. This usually offers help with module development and troubleshooting. Which functions are available in detail with the debug mode may be found in the module documentation or may be explained to you by the module author. Be sure to disable the debug mode for live operation.',
    'D3_CFG_MOD_GENERAL_TESTMODEACTIVE'        => 'test mode active',
    'D3_CFG_MOD_GENERAL_TESTMODEACTIVE_DESC'   => 'The test mode provides the function of the module in testable version in the usual sense. Depending on the module, this may be that e.g. Actions can not be performed live or other credentials are used. For more information on the scope of the test mode, please contact the module author. Please deactivate the test mode for live operation.',
    'D3_CFG_MOD_GENERAL_MODULELOGGING'         => 'logging',
    'D3_CFG_MOD_GENERAL_MODULELOGGING_NONE'    => 'no protocoll (standard)',
    'D3_CFG_MOD_GENERAL_MODULELOGGING_ALL'     => 'log all actions ',
    'D3_CFG_MOD_GENERAL_MODULELOGGING_ERRORS'  => 'log errors only',
    'D3_CFG_MOD_GENERAL_NOCONFIG_DESC'         => 'There is no configuration available for these language.',
    'D3_CFG_MOD_GENERAL_NOCONFIG_BTN'          => 'Create configuration',
    'D3_CFG_MOD_GENERAL_SAVE'                  => 'Save',
    'D3_CFG_MOD_GENERAL_CLRTMP'                => 'Please clear the tmp folder.',

    'D3_CFG_MOD'                               => 'Support',
    'D3_CFG_MOD_VERSION'                       => 'Version',
    'D3_CFG_MOD_VERSION_TEXT1'                 => 'Module "',
    'D3_CFG_MOD_VERSION_TEXT2'                 => '", for OXID eShop',
    'D3_CFG_MOD_VERSION_INSTALLEDV'            => 'Installed module version:',
    'D3_CFG_MOD_VERSION_RESULT'                => 'Result from update check:',
    'D3_CFG_MOD_VERSION_AVAILVERSION'          => 'Available module version for your shop:',
    'D3_CFG_MOD_VERSION_NEWESTVERSION'         => 'Newest module version:',
    'D3_CFG_MOD_VERSION_NEWESTVERSION_NOTE_1'  => 'This module version is available, but it\'s not released for your used shop version. Please update your shop installation first at least to version ',
    'D3_CFG_MOD_VERSION_NEWESTVERSION_NOTE_2'  => ', to be able to use this module version.',
    'D3_CFG_MOD_VERSION_NEWESTVERSION_LIC'     => 'This module version isn\'t contained  in your license key. Please contact us for extending your license.',
    'D3_CFG_MOD_VERSION_MODINFO'               => 'Further informations you can see here.',
    'D3_CFG_MOD_VERSION_REV'                   => 'Rev.',
    'D3_CFG_MOD_VERSION_UPDLOAD1'              => 'You can get download this update',
    'D3_CFG_MOD_VERSION_UPDLOAD2'              => 'HERE',
    'D3_CFG_MOD_VERSION_UPDLOAD3'              => '',
    'D3_CFG_MOD_VERSION_UPDLOAD4'              => ' or ',
    'D3_CFG_MOD_VERSION_UPDLOAD5'              => 'install it automatical',
    'D3_CFG_MOD_VERSION_CHECKTXT'              => 'Check, if you use the latest release of these moduls.',
    'D3_CFG_MOD_VERSION_STARTCHECK'            => 'Check for newer release',
    'D3_CFG_MOD_VERSION_NONEWVERSION'          => 'There are no newer version for your shop available.',
    'D3_CFG_MOD_VERSION_INSTALLSTATUS'         => 'Installation progress',
    'D3_CFG_MOD_VERSION_AVAILLIST'             => 'Further availability informations of ouf modules in different shop versions can you see in our <a href="https://www.oxidmodule.com/Modulverfuegbarkeiten/" target="modverf">overview</a>.',

    'D3_CFG_MOD_SUPPORT'                       => 'Support',
    'D3_CFG_MOD_SUPPORT_1'                     => 'If you have questions or suggestions, we are at your disposal with the following contact options:',
    'D3_CFG_MOD_SUPPORT_2'                     => 'Phone: +49 (0)3721 268090',
    'D3_CFG_MOD_SUPPORT_3'                     => 'Fax: +49 (0)3721 265234',
    'D3_CFG_MOD_SUPPORT_4'                     => 'E-Mail: ',
    'D3_CFG_MOD_SUPPORT_MAIL'                  => 'support@shopmodule.com',
    'D3_CFG_MOD_SUPPORT_5'                     => 'The most common questions about this and other modules have been compiled in our online FAQ. These can be found at <a href="https://faq.d3data.de" target="_blank" title="Modul-FAQ"> https://faq.d3data.de </a>.',
    'D3_CFG_MOD_SUPPORT_6'                     => 'Our FAQ is constantly expanding. Gladly we take also from you desired answers on. Write us!',

    'D3_CFG_MOD_DEV'                           => 'Disclaimer',
    'D3_CFG_MOD_DEV_TEXT1'                     => 'This module is developed and distributed by:',
    'D3_CFG_MOD_DEV_ADR1'                      => 'Fa. D³ Data Development',
    'D3_CFG_MOD_DEV_ADR2'                      => 'Owner: Thomas Dartsch',
    'D3_CFG_MOD_DEV_ADR3'                      => 'Stollberger Straße 23',
    'D3_CFG_MOD_DEV_ADR4'                      => '09380 Thalheim / Erzgeb.',
    'D3_CFG_MOD_DEV_ADR5'                      => 'Germany',
    'D3_CFG_MOD_DEV_WEBLINK'                   => 'Homepage: <a href="https://www.d3data.de/" target="_blank" title="D³ Data Development">https://www.d3data.de</a>',
    'D3_CFG_MOD_DEV_MAILLINK'                  => 'E-Mail: <a href="mailto:info@shopmodule.com" title="info@shopmodule.com">info@shopmodule.com</a>',
    'D3_CFG_MOD_DEV_MODULELINK'                => 'An overview of all our modules can be found at <a href="https://www.oxidmodule.com/" target="_blank" title="D³ Data Development"><strong>https://www.oxidmodule.com</strong></a>',

    'D3_CFG_MOD_CHANGEKEY'                     => 'change license key',
    'D3_CFG_MOD_ADDKEY'                        => 'activate license',
    'D3_CFG_MOD_SHOWKEY'                       => 'show license details',
    'D3_CFG_MOD_ACTIVATE'                      => 'activation',
    'D3_CFG_MOD_ACTIVATE_1'                    => 'license activation:',
    'D3_CFG_MOD_ACTIVATE_2'                    => 'save license key',
    'D3_CFG_MOD_LICDETAILS'                    => 'license details',
    'D3_CFG_MOD_LICDETAILS_GENERALVALID'       => 'license valid:',
    'D3_CFG_MOD_LICDETAILS_VALIDDOMAIN'        => 'valid for domain:',
    'D3_CFG_MOD_LICDETAILS_VALIDLOCAL'         => 'usable in local test shop:',
    'D3_CFG_MOD_LICDETAILS_VALID_YES'          => 'yes',
    'D3_CFG_MOD_LICDETAILS_VALIDLOCAL_DESC'    => "The module can be used in addition to the licensed domain under the IP \"127.0.0.1\" or \":: 1\" or the domain \"localhost\" as a test installation. If you can not use the options for technical reasons, just set up the licensed domain on your host.",
    'D3_CFG_MOD_LICDETAILS_VALIDFROMDATE'      => 'valid from:',
    'D3_CFG_MOD_LICDETAILS_VALIDTODATE'        => 'valid to:',
    'D3_CFG_MOD_LICDETAILS_VALIDFORMODID'      => 'valid for:',
    'D3_CFG_MOD_LICDETAILS_VALIDFORMODVERSION' => 'module version:',
    'D3_CFG_MOD_LICDETAILS_VALIDFORSHOPID'     => 'shop id:',
    'D3_CFG_MOD_LICDETAILS_VALIDFORSHOPEDITION' => 'shop edition:',
    'D3_CFG_MOD_LICDETAILS_ISTEST'             => 'trial version:',
    'D3_CFG_MOD_LICDETAILS_ACTIDENT'           => 'activation ID:',
    'D3_CFG_MOD_LICDETAILS_LICKEY'             => 'license key:',
    'D3_CFG_MOD_LICDETAILS_TESTLICENSE'        => '(trial license)',

    'D3_CFG_MOD_TRYORBUY'                      => 'Try or buy?',
    'D3_CFG_MOD_TRYORBUY_1'                    => 'Request demo key',
    'D3_CFG_MOD_TRYORBUY_2'                    => 'Request live key',

    'D3_CFG_MOD_STAYINFORMED'                  => 'Stay informed!',
    'D3_CFG_MOD_STAYINFORMED_1'                => 'I would like to automatically receive information about new updates to this module.',
    'D3_CFG_MOD_STAYINFORMED_2'                => 'E-mail address:',
    'D3_CFG_MOD_SAVE'                          => 'Save',

    'D3_CFG_MOD_SYS_CHECK'                     => 'System check',
    'D3_CFG_MOD_SYS_CURLNOK'                   => 'The CURL PHP extension is not available. Some modules require this. Details can be found in the respective module descriptions.',
    'D3_CFG_MOD_SYS_CURLOK'                    => 'Die CURL PHP extension is available.',
    'D3_CFG_MOD_SYS_CURLREQ'                   => 'The CURL PHP extension is not available. However, this module necessarily requires them. Enable the extension to allow the module to function properly.',
    'D3_CFG_MOD_NEWVERSION_1'                  => 'There is a new version available: ',
    'D3_CFG_MOD_NEWVERSION_2'                  => 'Download this one here: ',
    'D3_CFG_MOD_NEWVERSION_3'                  => 'or contact us for the installation of the update.',
    'D3_CFG_MOD_NEWVERSION_4'                  => 'There is no new version available.',

    'D3_CFG_MOD_INSTALLCHECK'                  => 'Module check',
    'D3_CFG_MOD_INSTALLCHECKEXTENDITEMSOK'     => 'All extension entries are active.',
    'D3_CFG_MOD_INSTALLCHECKEXTENDITEMSNOK'    => 'At least one extension entry is not active.',
    'D3_CFG_MOD_INSTALLCHECKEXTENDITEMS_DESC'  => 'In default case, our modules extend the standard functionality of the shop. For this it is necessary that the extensions are registered correctly. If these are missing, the module-specific functions can not be executed.',
    'D3_CFG_MOD_INSTALLCHECKTEMPLATEITEMSOK'   => 'All template entries are active.',
    'D3_CFG_MOD_INSTALLCHECKTEMPLATEITEMSNOK'  => 'At least one template entry is not active.',
    'D3_CFG_MOD_INSTALLCHECKTEMPLATEITEMS_DESC'  => 'For the presentation of own areas our modules use own templates. Only when they are available can the areas be displayed correctly.',
    'D3_CFG_MOD_INSTALLCHECKCLASSITEMSOK'     => 'All file entries are active.',
    'D3_CFG_MOD_INSTALLCHECKCLASSITEMSNOK'    => 'At least one file entry is not active.',
    'D3_CFG_MOD_INSTALLCHECKCLASSITEMS_DESC'  => 'The module-specific logic requires registered script files. If these are missing, the module can not work. Then activate the module again.',
    'D3_CFG_MOD_INSTALLCHECKBLOCKITEMSOK'      => 'All template block extensions are active.',
    'D3_CFG_MOD_INSTALLCHECKBLOCKITEMSNOK'     => 'At least one template block extension is not active.',
    'D3_CFG_MOD_INSTALLCHECKBLOCKITEMS_DESC'   => 'With template block extensions, the outputs of the shop can be adapted to the module without or with only minor adjustments. If not all supplied template block extensions are activated, module outputs may not be displayed.',
    'D3_CFG_MOD_INSTALLCHECKVERSIONIDENTICALSOK'     => 'The module versions match.',
    'D3_CFG_MOD_INSTALLCHECKVERSIONIDENTICALSNOK'    => 'The module versions between Metadata and Connector are different.',
    'D3_CFG_MOD_INSTALLCHECKVERSIONIDENTICALS_DESC'  => 'Matching module versions are important to ensure proper functioning of the module. If the module versions are different, please check if you have installed the correct module files.',
    'D3_CFG_MOD_INSTALLCHECKVERSIONIDENTICALS_MDV'   => 'Metadata version:',
    'D3_CFG_MOD_INSTALLCHECKVERSIONIDENTICALS_MCV'   => 'ModCfg version:',
    'D3_CFG_MOD_INSTALLCHECKINSTALLITEMSOK'    => 'The installation tasks are completed.',
    'D3_CFG_MOD_INSTALLCHECKINSTALLITEMSNOK'   => 'There are still installation tasks to be done.',
    'D3_CFG_MOD_INSTALLCHECKINSTALLITEMS_DESC'  => 'Our modules contain instructions for an automatic installation. These steps are typically performed immediately after module installation / update. If the installation could not be executed completely, shop configurations might be missing. Check the pending installation steps in the admin area under "Module Connector -> Module Management -> Module Installation".',
    'D3_CFG_MOD_INSTALLCHECK_PROBLEM'             => 'The module found installation issues that should be resolved before use. For more information, see the Support tab.',
    'D3_CFG_MOD_INSTALL_MODCFGCHECK'              => 'Installing the module "%s" requires the module connector in version "%s". Please carry out the update in advance. '.PHP_EOL.PHP_EOL.'During the selected time, you will not receive update notices and will be able to perform the software update. To finish the updates, re-enter this page after the time has expired.',

    'D3_CFG_MOD_NEWS_NEWS'                     => 'News and updates',
    'D3_CFG_MOD_NEWS_FURTHER1'                 => 'These and more information can be found in our Oxide Modules blog at',
    'D3_CFG_MOD_NEWS_FURTHER2'                 => 'For up-to-date information about us and our modules, visit our Oxide Modules blog at',

    'D3_CFG_MODITEM_PREV'                      => '<b>Editor</b> (Click on the entry for further options)',
    'D3_CFG_MODITEM_PREVIEW'                   => 'generate preview',
    'D3_CFG_MODITEM_DELMSG'                    => 'Do you really want to delete the module entry?',

    'D3_CFG_CFGITEM_WRITEPROTECTED'            => '- write proteced',
    'D3_CFG_CFGITEM_NOTWRITEPROTECTED'         => '- not write protected',
    'D3_CFG_CFGITEM_EDITABLE'                  => '- editable ',
    'D3_CFG_CFGITEM_EDITABLE_QUESTION'         => 'CAUTION!\\n\\nChanges in this file can be harmful to the availability, functionality and security of this online shop. You should only continue if you are sure of what you are doing.',
    'D3_CFG_CFGITEM_SAVE_QUESTION'             => 'Do you really wanna save the changes?',
    'D3_CFG_CFGITEM_SAVE'                      => 'Remove write protection temporary and save',
    'D3_CFG_CFGITEM_SAVEWOPROTECTION'          => 'save file',
    'D3_CFG_CFGITEM_EDIT'                      => 'edit file',
    'D3_CFG_CFGITEM_DEMOTEXT'                  => "\r\r// Da dies ein Demoshop ist, werden Ihnen die Dateiinhalte hier nicht angezeigt.\r// Because of demoshop mode you can\'t see the file content here.",

    'D3_CFG_MAINTENANCE_MODULES'               => "Modules",
    'D3_CFG_MAINTENANCE_REPAIRMODULES'         => "repair modules database items",

    'D3_CFG_CFGLIBS_CHOOSE'                    => 'Please choose library',
    'D3_CFG_CFGLIBS_NOLIBAVAIL'                => 'no library settings available',

    'D3_CFG_MODCFG_CFG_HIDEADMINHOMEINFO'      => '<b>Do not</b> show module information on the admin homepage.',
    'D3_CFG_MODCFG_CFG_HIDEEXTSUPPORTINFO'     => '<b>Do not</b> show D3 news on the module support pages',

    'SHOP_SYSTEM_MODULES'                      => 'Installed modules in your eShop, <br>convenient addition / editing in the <input type="button" onclick="document.getElementById(\'myedit\').target = \'basefrm\'; document.getElementById(\'myedit\').fnc.value=\'\';document.getElementById(\'myedit\').cl.value=\'d3moditems\';document.getElementById(\'myedit\').submit();" value="Modul-Connector">',
    'D3_CFG_MSG_NONEWITEM'                     => 'No new module entries available for saving',

    'D3_MOD_LIB_METADATA_AUTHOR'               => 'D³ Data Development',
    'D3_MOD_LIB_METADATA_LOGO'                 => '<img src="https://logos.oxidmodule.com/d3logo.svg" alt="(D3)" title="D³ Data Development">',
    'D3_MOD_LIB_METADATA_SUPPORTMAIL'          => 'support@shopmodule.com',
    'D3_MOD_LIB_METADATA_INFOURL'              => 'https://www.oxidmodule.com/',

    'D3_CFG_MOD_EXC_MODCFGNOTCALLABLE'         => 'module configuration is unavailable, because of (uncheckable) database table',
    'D3_CFG_MOD_EXC_NOMODCFGITEM'              => 'no modcfg item for this id available',
    'D3_CFG_MOD_EXC_LICENSERESULT'             => 'license result is: %s',
    'D3_CFG_MOD_EXC_NOCONFKEY'                 => 'no conf key available',
    'D3_CFG_MOD_EXC_UNKNOWNCONFKEY'            => 'conf key isn\'t conform (ModId, ModVersion)',
    'D3_CFG_MOD_EXC_NOLICKEYFORCHECK'          => 'license key missing: license activation required',
    'D3_CFG_MOD_EXC_NOCONFKEYID'               => 'can\'t read conf key',
    'D3_CFG_MOD_EXC_NOSERIALID'                => 'can\'t read license key',
    'D3_CFG_MOD_EXC_ACTIVATED'                 => 'This action also activated the module at the same time. Check the settings in the module-specific configuration area in the admin panel of your shop.',
    'D3_CFG_MOD_EXC_DEACTIVATED'               => 'In order to avoid errors in your shop, the module was also deactivated with this action. Please always edit this setting in the module-specific configuration area in the admin panel of your shop.',

    'D3_CFG_MOD_ACTIVATION_TYPE_HEADLINE'      => 'This wizard guides you through module activation. Please choose:',
    'D3_CFG_MOD_ACTIVATION_TYPE_OXIDMODULE'    => 'You have a license key or activation identifier',
    'D3_CFG_MOD_ACTIVATION_TYPE_REQUESTAGAIN'  => 'You want to request the license key again',
    'D3_CFG_MOD_ACTIVATION_TYPE_FOREIGN'       => 'You have already purchased the module from another vendor (for example, OXID Exchange)',
    'D3_CFG_MOD_ACTIVATION_TYPE_FOREIGN_DESC'  => 'For all module purchases that have not been made through the Oxidmodule shop, it is necessary that we register your purchase. Only then is activation possible.',
    'D3_CFG_MOD_ACTIVATION_TYPE_DEMO'          => 'You would like to use the module free of charge as a trial version',
    'D3_CFG_MOD_ACTIVATION_TYPE_DEMO_DESC'     => 'The license for the trial version is valid for 30 days after activation. Thereafter, the module is automatically deactivated. Your shop will still be the same as before the activation.',
    'D3_CFG_MOD_ACTIVATION_TYPE_BUY'           => 'You want to buy the module',
    'D3_CFG_MOD_ACTIVATION_TYPE_BUY_DESC'      => 'You will be forwarded directly to our module shop. In the shop you can see details about this module and can also buy it. With immediately payable payment methods (for example Paypal or credit card) you will receive the activation ID immediately after.',
    'D3_CFG_MOD_ACTIVATION_TYPE_NOTLISTED'     => 'Your desired action is not listed here',
    'D3_CFG_MOD_ACTIVATION_DATA_HEADLINE'      => 'The following data is used and transmitted for the activation:',
    'D3_CFG_MOD_ACTIVATION_DATA_MODULE'        => 'Module:',
    'D3_CFG_MOD_ACTIVATION_DATA_MODULE_DESC'   => 'The module will be permanently noted in the future license. Therefore, please only use the activation ID of the corresponding module. Please note that your module purchase must also have been made for the right shop edition. Otherwise you can not activate this module. If you would like to activate the module for another module, please leave this assistant and call it in the module to be activated.',
    'D3_CFG_MOD_ACTIVATION_DATA_MODVERSION'    => 'Module version:',
    'D3_CFG_MOD_ACTIVATION_DATA_MODVERSION_DESC' => 'The module version will be permanently noted in the future license. In addition to the expiration date, the module version decides which future updates / upgrades you can use with this license. If you are planning a module update at short notice, please clarify the procedure with us.',
    'D3_CFG_MOD_ACTIVATION_DATA_DOMAIN'        => 'Domain:',
    'D3_CFG_MOD_ACTIVATION_DATA_DOMAIN_DESC'   => 'The domain will be permanently noted in the future license. Decisive here is the main store domain, which is entered in the configuration file of the shop. Language and client-dependent domains and subdomains are not included in the license. If you would like to use this module in a shop under a different domain, please activate it only there.',
    'D3_CFG_MOD_ACTIVATION_DATA_SHOP'          => 'Subshop ID:',
    'D3_CFG_MOD_ACTIVATION_DATA_SHOP_DESC'     => 'The subshop ID will be permanently noted in the future license. The shop title will only be displayed informally. <br> For Shop Owners of the Enterprise Edition: If you would like to activate this module for another subshop, please change it and perform the activation only there.',
    'D3_CFG_MOD_ACTIVATION_DATA_EDITION'       => 'Shop edition:',
    'D3_CFG_MOD_ACTIVATION_DATA_EDITION_DESC'  => 'We need the shop edition to assign the right module to your activation.',
    'D3_CFG_MOD_ACTIVATION_DATA_VOUCHER'       => 'Activation ID / License key:',
    'D3_CFG_MOD_ACTIVATION_DATA_VOUCHER_DESC'  => 'You will receive the Ident or License key from us when you purchase your module in our shop or during manual registration.',
    'D3_CFG_MOD_ACTIVATION_DATA_DEMO_DESC'     => 'This trial license is valid for a maximum of 30 days. Thereafter, the module is automatically deactivated. Your shop will still be the same as before the activation.',
    'D3_CFG_MOD_ACTIVATION_FOREIGN_HEADLINE'   => 'Please contact us...',
    'D3_CFG_MOD_ACTIVATION_FOREIGN_DESC'       => 'Please send us your proof of purchase. (You will find our contact details in the "Support" tab above.) You will then receive from us the Ident with which you can activate your module via this assistant. If you already have the Ident, select the first item in the following selection.',
    'D3_CFG_MOD_ACTIVATION_BUY_HEADLINE'       => 'You would like to buy this module?',
    'D3_CFG_MOD_ACTIVATION_BUY_DESC_1'         => 'Via the following link you can visit our shop where you can order the module. If you choose an immediately payable payment method (for example, Paypal or credit card), you will receive the activation ID immediately after which you can complete the activation.<p style="text-align: center;"><a href="',
    'D3_CFG_MOD_ACTIVATION_BUY_DESC_2'         => '" style="font-weight: bold; text-decoration: underline;" target="oxidmodule">Oxidmodule Shop</a></p>Thank you for your order. If you have received an Activation ID when you have completed your order, you should choose the first item in the following selection.',
    'D3_CFG_MOD_ACTIVATION_NOTLISTED_HEADLINE' => 'Please contact us...',
    'D3_CFG_MOD_ACTIVATION_NOTLISTED_DESC'     => 'Our contact details can be found in the "Support" tab above. We gladly accept your request personally. <br> If we might not be available, it may help you to activate the module in advance as a trial version.',
    'D3_CFG_MOD_ACTIVATION_SUBMIT_NEXT'        => 'Continue',
    'D3_CFG_MOD_ACTIVATION_SUBMIT_ACTNOW'      => 'Activate module now',
    'D3_CFG_MOD_ACTIVATION_SUBMIT_BACK'        => 'Back to overview',
    'D3_CFG_MOD_ACTIVATION_SUBMIT_SERIAL'      => 'Replace license key now',
    'D3_CFG_MOD_ACTIVATION_SUBMIT_SETDEMO'     => 'Activate trial version now',
    'D3_CFG_MOD_ACTIVATION_SUBMIT_SUCCESS_HL'  => 'The activation was successful.',
    'D3_CFG_MOD_ACTIVATION_SUBMIT_SUCCESS_NOEXP' => 'The module license is valid unlimited ',
    'D3_CFG_MOD_ACTIVATION_SUBMIT_SUCCESS_1'   => 'The module license is valid until ',
    'D3_CFG_MOD_ACTIVATION_SUBMIT_SUCCESS_2'   => ' and has already been deposited at the module. Please copy the license key for your documents. We wish you a lot of success with the module.',
    'D3_CFG_MOD_ACTIVATION_SUBMIT_NSUCCESS_HL' => 'The activation could not be done unfortunately.',
    'D3_CFG_MOD_ACTIVATION_ERRMISSINGPARAMS'   => 'The license key can not be retrieved due to missing information. Please contact us. Our contact details can be found in the "Support" tab above.',
    'D3_CFG_MOD_ACTIVATION_ERRUNKNOWNMODULE'   => 'The module is not (yet) activatable in this version. Please contact us. Our contact details can be found in the "Support" tab above.',
    'D3_CFG_MOD_ACTIVATION_ERRTOMUCHTESTLIC'   => 'Trial versions have already been created for this module in this shop. For a new module test, please contact us. Our contact details can be found in the "Support" tab above.',
    'D3_CFG_MOD_ACTIVATION_ERRNOORDER'         => 'No suitable order or module could be found for your activation ID. Activate the module only with the corresponding Ident.',
    'D3_CFG_MOD_ACTIVATION_ERRWRONGEDITION'    => 'The purchased module can not be activated and operated under this shop edition. Please contact us.',
    'D3_CFG_MOD_ACTIVATION_ERRDIFFERENTSHOPS'  => 'You received several Activation Ident for the module. These are necessary for different subshops, for example. One of these idents has already been activated in another shop installation. If you would like to use this module in different shops, please contact us.',
    'D3_CFG_MOD_ACTIVATION_ERRNEWERMAJORVERSION'  => 'In your order you received several activation idents. These are necessary for different clients, for example. An older module version was activated with one of these IDs (different main version). If you would like to activate a newer module version with an ident of this order, please contact us.',
    'D3_CFG_MOD_ACTIVATION_ERR'                => 'A general error occurred during activation. Please contact us.',
    'D3_CFG_MOD_ACTIVATION_SAVESERIALSUCC'     => 'The license key was successfully entered. We wish you a lot of success with the module.',

    'D3_CFG_MOD_NOTACTIVE'                     => 'The module is not active. Check the settings in the module management.',

    'D3_CFG_MOD_STATUS_OK'                     => 'The license key is valid.',
    'D3_CFG_MOD_STATUS_TMINUS'                 => 'The license is only valid in the future.',
    'D3_CFG_MOD_STATUS_EXPIRED'                => 'The license has expired.',
    'D3_CFG_MOD_STATUS_EXPIRES_IN'             => 'The license key expires in %s.',
    'D3_CFG_MOD_STATUS_NEVER_EXPIRES'          => 'The license doesn\'t expires.',
    'D3_CFG_MOD_STATUS_ILLEGAL'                => 'The license isn\'t valid. Maybe it was created for another domain.',
    'D3_CFG_MOD_STATUS_ILLEGAL_LOCAL'          => 'The license was not created for local use.',
    'D3_CFG_MOD_STATUS_INVALID'                => 'The license key isn\'t readable.',
    'D3_CFG_MOD_STATUS_WRONG_MODULE'           => 'The license is not intended for this module.',
    'D3_CFG_MOD_STATUS_WRONG_MODVERSION'       => 'The license is not intended for this module version.',
    'D3_CFG_MOD_STATUS_WRONG_SHOPID'           => 'The license is not activated for this subshop.',
    'D3_CFG_MOD_STATUS_WRONG_SHOPEDITION'      => 'The license is not activated for this shop edition.',
    'D3_CFG_MOD_STATUS_EMPTY'                  => 'The license contains no information.',
    'D3_CFG_MOD_STATUS_CORRUPT'                => 'The license was not created by the authenticated author.',
    'D3_CFG_MOD_STATUS_404'                    => 'The license is not available.',

    'D3_CFG_MOD_NEVER'                         => 'never',
    'D3_CFG_MOD_SECOND'                        => 'second',
    'D3_CFG_MOD_SECONDS'                       => 'seconds',
    'D3_CFG_MOD_MINUTE'                        => 'minute',
    'D3_CFG_MOD_MINUTES'                       => 'minutes',
    'D3_CFG_MOD_HOUR'                          => 'hour',
    'D3_CFG_MOD_HOURS'                         => 'hours',
    'D3_CFG_MOD_DAY'                           => 'day',
    'D3_CFG_MOD_DAYS'                          => 'days',
    'D3_CFG_MOD_MONTH'                         => 'month',
    'D3_CFG_MOD_MONTHS'                        => 'months',
    'D3_CFG_MOD_YEAR'                          => 'year',
    'D3_CFG_MOD_YEARS'                         => 'years',

    'D3_MODPROFILE_MAIN_ACTIVE'                => 'active',
    'D3_MODPROFILE_MAIN_ACTIVE_DESC'           => '',
    'D3_MODPROFILE_MAIN_ACTIVFROMTILL'         => 'or active',
    'D3_MODPROFILE_MAIN_ACTIVEFROM'            => 'from',
    'D3_MODPROFILE_MAIN_ACTIVETO'              => 'to',
    'D3_MODPROFILE_MAIN_TITLE'                 => 'title',
    'D3_MODPROFILE_MAIN_SHORTDESC'             => 'short description',
    'D3_MODPROFILE_MAIN_NOFOLDER'              => 'no folder selected',
    'D3_GENERAL_MODPROFILE_TITLE'              => 'title',
    'D3_GENERAL_MODPROFILE_FOLDER'             => 'folder',
    'D3_GENERAL_MODPROFILE_SORT'               => 'sort',
    'D3_GENERAL_MODPROFILE_SAVE'               => 'save',
    'D3_GENERAL_MODPROFILE_COPY'               => 'create identical copy',
    'D3_GENERAL_MODPROFILE_EXPORT'             => 'export profile as SQL',
    'D3_MODPROFILE_MAIN_SORT'                  => 'sort',
    'D3_MODPROFILE_MAIN_FOLDER'                => 'folder',
    'D3_MODPROFILE_FOLDER_ALL'                 => 'no folder selected',
    'D3_GENERAL_MODPROFILE_COPY_PREFIX'        => 'copy from ',

    'D3_SHGENERATOR_CRON_PROFIHOST_PHP80'      => 'Profihost (PHP 8.0)',
    'D3_SHGENERATOR_CRON_PROFIHOST_PHP81'      => 'Profihost (PHP 8.1)',
    'D3_SHGENERATOR_CRON_PROFIHOST_PHP82'      => 'Profihost (PHP 8.2)',
    'D3_SHGENERATOR_CRON_PROFIHOST_PHP83'      => 'Profihost (PHP 8.3)',
    'D3_SHGENERATOR_CRON_STANDARD'             => 'Linux standard installation',

    'D3_SHGENERATOR_CRON_SHGENERATOR'          => 'create shell script for cronjob setup',
    'D3_SHGENERATOR_CRON_SHGENERATOR_DESC'     => 'Depending on the server, it may be that calls with parameters can not be entered directly in the cronjob. You may also need to pass additional parameters for the cron job. Alternatively, you can use a script that contains all the required data. You will find already prepared scripts for the most common providers. If your provider is not listed, use the "Default" entry. Please clarify in case of uncertainty with your provider, if the generated script can be used. Details about the content of the script and its use can be provided by your server provider.',
    'D3_SHGENERATOR_CRON_SHGENERATOR_GENERATE' => 'generate file',

    'd3mxtplblocks'                            => "<i class='fab fa-d3 d3fa-color-blue'></i> tpl blocks",
    'd3mxtplblocks_main'                       => 'Main',
    'd3mxtplblocks_extend'                     => 'Extended',
    'D3TPLMODULE'                              => 'Module ID',
    'D3TPLTHEME'                               => 'Theme',
    'D3TPLTEMPLATE'                            => 'Template',
    'D3TPLBLOCKNAME'                           => 'Block name',
    'D3TPLFILE'                                => 'File name',
    'D3TPLPOS'                                 => 'Pos.',
    'D3TPLBLOCKS_MAIN_NEWBLOCK'                => 'new template block',
    'D3TPLBLOCKS_MOVEFIRST'                    => 'putting before all other extensions of this block',
    'D3TPLBLOCKS_MOVEFIRST_SUCC'               => 'Please empty the TMP folder to apply the change.',

    'd3mxd3cleartmp'                       => 'clear TMP',
    'd3mxd3cleartmp2'                      => '<i class="fas fa-trash"></i> clear TMP',
    'd3mxd3cleartmp2_desc1'                => 'clear tmp folder now',
    'd3mxd3cleartmp2_desc2'                 => 'open clear tmp tool in new tab',
    'd3tbclclr_main'                       => 'clear TMP',
    'd3tbclclr_mtn'                        => 'maintenance',
    'd3navclrtmp_typeall'                  => 'all caches',
    'd3navclrtmp_typetpllang'              => 'tpl+language caches',
    'd3navclrtmp_typetpl'                  => 'tpl caches',
    'd3navclrtmp_typelang'                 => 'language caches',
    'd3navclrtmp_clear'                    => 'clear',

    'D3TPLBLOCKS_NOBLOCKS'                 => 'The functions are not available because no template blocks are defined.',
    'D3TPLBLOCKS_MODULE'                   => 'for this module ...',
    'D3TPLBLOCKS_CHOOSEMODULE'             => 'please select module',
    'D3TPLBLOCKS_NOMODULEMSG'              => 'Please select the module to be updated.',
    'D3TPLBLOCKS_REMBLOCKS'                => '... remove all template block entries',
    'D3TPLBLOCKS_REMBLOCKS_DESC'           => 'This function deletes all block entries of the selected module from the database. To re-add the entries, it is necessary to reactivate the corresponding module.',
    'D3TPLBLOCKS_REMBLOCKS_SUCC'           => 'The selected template block entries have been deleted.',
    'D3TPLBLOCKS_REFBLOCKS'                => '... update all templatebock entries',
    'D3TPLBLOCKS_REFBLOCKS_DESC'           => 'This function updates all block entries of the selected module in the database. Outdated entries are removed and new entries are added. <br> <br> Adapted position and active data are reconstructed, provided that the previous entries can be clearly assigned to the new entries. Otherwise, the default entries of the respective module are set for this.',
    'D3TPLBLOCKS_REFBLOCKS_SUCC'           => 'The selected template block entries have been updated.',
    'D3TPLBLOCKS_DEACTBLOCKS'              => '... disable all template block entries',
    'D3TPLBLOCKS_DEACTBLOCKS_DESC'         => 'This function deactivates all block entries of the selected module in the database. Note that reactivating the module will reactivate it. The changes do not become active until the TMP folder is emptied.',
    'D3TPLBLOCKS_DEACTBLOCKS_SUCC'         => 'The selected template block entries have been deactivated. Please empty the TMP folder.',
    'D3TPLBLOCKS_ACTBLOCKS'                => '... activate all template block entries',
    'D3TPLBLOCKS_ACTBLOCKS_DESC'           => 'This function activates all block entries of the selected module in the database. The changes do not become active until the TMP folder is emptied.',
    'D3TPLBLOCKS_ACTBLOCKS_SUCC'           => 'The selected template block entries have been activated. Please empty the TMP folder.',
    'D3TPLBLOCKS_CLEARDUPLICATES'          => 'Remove duplicates',
    'D3TPLBLOCKS_CLEARDUPLICATES_DESC'     => 'This function removes all duplicate block entries in the database. The changes do not become active until the TMP folder is emptied.',
    'D3TPLBLOCKS_CLEARDUPLICATES_SUCC'     => 'Multiple template block entries have been deleted. Please empty the TMP folder.',

    'D3_CFG_CLRTMP_ALL'                    => 'Clear <span style="font-weight: bold;">all</span>',
    'D3_CFG_CLRTMP_TPL'                    => 'Clear <span style="font-weight: bold;">template</span> cache',
    'D3_CFG_CLRTMP_DB'                     => 'Clear <span style="font-weight: bold;">datenbase</span> cache',
    'D3_CFG_CLRTMP_LANG'                   => 'Clear <span style="font-weight: bold;">language</span> cache',
    'D3_CFG_CLRTMP_MENU'                   => 'Clear <span style="font-weight: bold;">menu</span> cache',
    'D3_CFG_CLRTMP_CLASSPATH'              => 'Clear <span style="font-weight: bold;">classpath</span> cache',
    'D3_CFG_CLRTMP_STRUCTURE'              => 'Clear <span style="font-weight: bold;">structure</span> cache (categories, manufacturers, vendors)',
    'D3_CFG_CLRTMP_TAGCLOUD'               => 'Clear <span style="font-weight: bold;">tagcloud</span> cache',
    'D3_CFG_CLRTMP_SEO'                    => 'Clear <span style="font-weight: bold;">SEO</span> cache',
    'D3_CFG_CLRTMP_MODULE'                 => 'Clear <span style="font-weight: bold;">Module</span> cache',
    'D3_CFG_CLRTMP_VIEWS'                  => 'update <span style="font-weight: bold;">view</span> tables',
    'D3_CFG_CLRTMP_TPLBLOCKS'              => 'Remove <span style="font-weight: bold;">template blocks</span>',
    'D3_CFG_CLRTMP_TPLBLOCKS_REQUACT'      => 'requires module reactivation',
    'D3_CFG_CLRTMP_SUBMIT'                 => 'Clear TMP',
    'D3_CFG_CLRTMP_OR'                     => 'or',
    'D3_CFG_CLRTMP_MSG1'                   => 'TMP will cleared.',
    'D3_CFG_CLRTMP_MSG3'                   => 'Maintenance is performed.',
    'D3_CFG_CLRTMP_MSG2'                   => 'Please wait...',
    'D3_CFG_PLEASEWAIT'                    => 'Please wait...',

    'D3CLRTMP_LIB_TRANSL'                  => 'clear TMP',
    'D3CLRTMP_LIB_HELPLINK'                => 'Modul-Connector/TMP-leeren/',

    'D3_CFG_CLRTMP_STAT'                   => 'Statistic',
    'D3_CFG_CLRTMP_PATH'                   => 'Path:',
    'D3_CFG_CLRTMP_COUNT'                  => 'File count:',
    'D3_CFG_CLRTMP_SIZE'                   => 'Physical size:',
    'D3_CFG_CLRTMP_DELFOLDER'              => 'Foreign folders will deleted:',
    'D3_CFG_CLRTMP_CREATEHTA'              => '.htaccess will created:',
    'D3_CFG_CLRTMP_UPDATEVIEW'             => 'update view tables:',
    'D3_CFG_CLRTMP_CFG_TICKERTHRESHOLD'    => 'From this count of tmp files delete process will tickered:',
    'D3_CFG_CLRTMP_NO'                     => 'no',
    'D3_CFG_CLRTMP_YES'                    => 'yes',
    'D3_CFG_CLRTMP_SET_DESC'               => 'These settings can changed in admin panel in "Module Connector -> libraries".',
    'D3_CFG_CLRTMP_USETICKER'              => 'use ticker from',
    'D3_CFG_CLRTMP_USETICKERFILES'         => ' files',

    'D3_CFG_CLRTMP_DEV_LEGEND'             => 'Development Mode',
    'D3_CFG_CLRTMP_DEV_DESC'               => 'Developer mode prevents content from being dropped into the TMP directory. This allows you to quickly control template changes as well as language customizations. Please note, however, that this is an important performance optimization of the shop is disabled. Therefore, do not use developer mode without reason. <span style="font-weight: bold;"> Usage causes longer page load times. </span> <br> For this reason, Developer mode works only with <span style="font weight: bold;"> deactivated production mode </span> of the shop. <br> While using the developer mode, updates of the D3 module connector and its libraries can not be performed.',
    'D3_CFG_CLRTMP_DEV_BTNACT'             => 'activate development mode',
    'D3_CFG_CLRTMP_DEV_BTNDEACT'           => 'deactivate development mode',
    'D3_CFG_CLRTMP_DEV_DEACTPRODUCTIVE'    => 'For the developer mode, deactivate the productive mode of the shop.',

    'D3_CFG_CLRTMP_MODULELOGGING'          => 'Logging',
    'D3_CFG_CLRTMP_CFG_SHOWCLEARTMPOPTIONS' => 'hide common clear tmp options',
    'D3_CFG_CLRTMP_CFG_SHOWCLEARTMPOPTIONS_DESC' => 'If your server constellation stores the shop\'s temporary files in a way that does not allow deletion from the extension, you can hide the default deletion features. If you have system commands to delete the files, you can configure and display them instead.',
    'D3_CFG_CLRTMP_CFG_SHOWNOHEADERFORM'   => '<span style="font-weight: bold;">don\'t</span> show clear tmp form in head area',
    'D3_CFG_CLRTMP_CFG_CREATE_NOHTACCESS'  => '<span style="font-weight: bold;">don\'t</span> create a .htaccess file',
    'D3_CFG_CLRTMP_CFG_REMOVEFOLDERS'      => '<span style="font-weight: bold;">don\'t</span> delete included foreign folders',
    'D3_CFG_CLRTMP_CFG_NOUPDATEVIEWS'      => '<span style="font-weight: bold;">don\'t</span> update view tables',
    'D3_CFG_CLRTMP_CFG_EXCLUDEREGEXP'      => 'RegExp pattern matches elements, which shouldn\'t deleted (without delimiter)',
    'D3_CFG_CLRTMP_CFG_EXCLUDEPATTERN_DESC' => 'Specify a valid regular expression here that matches all files that are <b> NOT </b> to be deleted. The delimiter (%) is set by the script. Clear texts must be quoted appropriately. <br> Example: <ul> <li> <span style = "font-family: Courier, monospace;">. * </span> for all entries </li> <li> <span style="font-family: Courier, monospace;">. * \\. svn </span> for all files ending in .svn </li> </ul>',
    'D3_CFG_CLRTMP_HASNOEXCLUDEPATTERN'    => 'exclude pattern set',
    'D3_CFG_CLRTMP_CFG_USERACTION_DESC'    => 'With a custom deletion task, you can extend the TMP Empty tool with its own deletion tasks. These tasks are only shown if you have filled them.',
    'D3_CFG_CLRTMP_CFG_USERACTION_1'       => 'userdefined action 1:',
    'D3_CFG_CLRTMP_CFG_USERACTION_2'       => 'userdefined action 2:',
    'D3_CFG_CLRTMP_CFG_USERACTION_NAME'    => 'name',
    'D3_CFG_CLRTMP_CFG_USERACTION_NAME_DESC' => 'This title displays the deletion task in the clear TMP interface.',
    'D3_CFG_CLRTMP_CFG_USERACTION_PATTERN' => 'regexp pattern (without delimiter)',
    'D3_CFG_CLRTMP_CFG_USERACTION_PATTERN_DESC' => 'Enter a valid regular expression here, which matches all files that should be deleted. The delimiter (%) is set by the script. Clear texts must be quoted appropriately. <br> Example: <ul> <li> <span style="font-family: Courier, monospace;">. * </span> for all entries </li> <li> <span style="font-family: Courier, monospace;">. * \\ svn </span> for all files with the extension .svn </li> </ul> Deleted is only in the TMP folder of the shop.',
    'D3_CFG_CLRTMP_CFG_SYSTEMACTION_DESC'  => 'System commands allow you to extend the TMP Empty tool with its own maintenance tasks to be performed by the operating system. These tasks are only shown if you have filled them.',
    'D3_CFG_CLRTMP_CFG_SYSTEMACTION_1'     => 'system dependent maintenance task 1:',
    'D3_CFG_CLRTMP_CFG_SYSTEMACTION_2'     => 'system dependent maintenance task 2:',
    'D3_CFG_CLRTMP_CFG_SYSTEMACTION_NAME'  => 'name',
    'D3_CFG_CLRTMP_CFG_SYSTEMACTION_NAME_DESC' => 'This title displays the maintenance task in the clear TMP interface.',
    'D3_CFG_CLRTMP_CFG_SYSTEMACTION_CLRTMPREPLACE'  => 'command is a clear tmp replacement',
    'D3_CFG_CLRTMP_CFG_SYSTEMACTION_CLRTMPREPLACE_DESC' => 'Check this box if this command is a replacement for the TMP empty function. Other functions can automatically empty the temporary folder if necessary.',
    'D3_CFG_CLRTMP_CFG_SYSTEMACTION_ICON'  => 'icon',
    'D3_CFG_CLRTMP_CFG_SYSTEMACTION_ICON_DESC' => 'Within the buttons and options, we try to display icons for better distinction. For this we provide the symbol library of <a href="https://fontawesome.com/" target="fontawesome"> FontAwesome </a> (V 5.0.6). Specify a symbol class from it or your own CSS class. If you do not define a symbol, there is no display of the icon.',
    'D3_CFG_CLRTMP_CFG_SYSTEMACTION_COMMAND' => 'command',
    'D3_CFG_CLRTMP_CFG_SYSTEMACTION_COMMAND_DESC' => 'Enter a valid system command here, which starts your maintenance task. This call is sent to the operating system via PHP using exec (). Console outputs are stored as info status in the log. System commands must be sent via PHP. The purpose and success of the command is not controlled by our module. Please use this option with caution, as system commands may cause significant damage to the system.',
    'D3_CFG_CLRTMP_CFG_SAVE'               => 'save',

    'D3_CFG_CLRTMP_SUCCESS'                => 'The TMP folder was cleared.',
    'D3_CFG_CLRTMP_VIEWUPDATESUCCESS'      => 'View tables were updated.',
    'D3_CFG_CLRTMP_VIEWUPDATENOSUCCESS'    => 'View tables couldn\'t be updated.',
    'D3_CFG_CLRTMP_NOVALIDFSCLASS'         => 'Unable to clear the TMP folder - please update the install library!',

    'D3_CFG_CLRTMP_OTHER'                  => 'other maintenance tasks',
    'D3_CFG_CLRTMP_GENALLIMGS'             => 'remove all generated images',
    'D3_CFG_CLRTMP_GENIMGS'                => 'remove generated product images',
    'D3_CFG_CLRTMP_GENIMGS_SUCC'           => 'The generated product images have been deleted.',
    'D3_CFG_CLRTMP_GENIMGS_DESC'           => 'All generated product images will be deleted. The original product images remain valid for the new generation. If an article image is requested again, it will be regenerated from the source image. Please note that the original images must be available to the shop. Otherwise, the generation of the article images can not take place.',
    'D3_CFG_CLRTMP_GENCATIMGS'             => 'remove generated category images',
    'D3_CFG_CLRTMP_GENCATIMGS_SUCC'        => 'The generated category images have been deleted.',
    'D3_CFG_CLRTMP_GENCATIMGS_DESC'        => 'All generated category images will be deleted. The original category images remain valid for the new generation. If a category image is requested again, it will be regenerated from the source image. Please note that the original images must be available to the shop. Otherwise, the generation of the category images can not take place.',
    'D3_CFG_CLRTMP_GENMNFIMGS'             => 'remove generated manufacturer images',
    'D3_CFG_CLRTMP_GENMNFIMGS_SUCC'        => 'The generated manufacturer images have been deleted.',
    'D3_CFG_CLRTMP_GENMNFIMGS_DESC'        => 'All generated manufacturer images will be deleted. The original manufacturer images remain valid for the new generation. If a manufacturer image is requested again, it will be regenerated from the source image. Please note that the original images must be available to the shop. Otherwise, the generation of the manufacturer images can not take place.',
    'D3_CFG_CLRTMP_GENVNDIMGS'             => 'remove generated vendor images',
    'D3_CFG_CLRTMP_GENVNDIMGS_SUCC'        => 'The generated vendor images have been deleted.',
    'D3_CFG_CLRTMP_GENVNDIMGS_DESC'        => 'All generated vendor images will be deleted. The original vendor images remain valid for the new generation. If a vendor image is requested again, it will be regenerated from the source image. Please note that the original images must be available to the shop. Otherwise, the generation of the vendor images can not take place.',
    'D3_CFG_CLRTMP_GENWRPIMGS'             => 'remove generated wrapping images',
    'D3_CFG_CLRTMP_GENWRPIMGS_SUCC'        => 'The generated wrapping images have been deleted.',
    'D3_CFG_CLRTMP_GENWRPIMGS_DESC'        => 'All generated wrapping images will be deleted. The original wrapping images remain valid for the new generation. If a wrapping image is requested again, it will be regenerated from the source image. Please note that the original images must be available to the shop. Otherwise, the generation of the wrapping images can not take place.',
    'D3_CFG_CLRTMP_GENIMGS_WARN'           => 'Please make sure beforehand that all required images are original and can be regenerated. \n\nDo you want to clean up now?',

    'D3_CFG_CLRTMP_MISSING'                => 'add missing assignment table entries',
    'D3_CFG_CLRTMP_OXARTICLECONSIST'       => 'add missing oxartextends entries',
    'D3_CFG_CLRTMP_OXARTICLECONSIST_SUCC'  => '%1$d entries have been created.',
    'D3_CFG_CLRTMP_OXARTICLECONSIST_DESC'  => 'For each article entry in the database there should be a linked entry containing long texts of the article and further information. Especially if the data maintenance is carried out outside the shop, it may happen that the corresponding database entry is not created. This can lead to misconduct within the shop. This action creates the missing entries empty. Existing entries are not changed.',

    'D3_CFG_CLRTMP_ASSIGN'                 => 'Purge Mapping Tables from Orphan Entries:',
    'D3_CFG_CLRTMP_ASSIGN_DESC'            => 'If configurable entries (for example, articles or shipping types) are deleted, old assignment entries sometimes remain. Although these do not affect the query results, they slow down the query depending on the number of queries. This option cleans up unresolved mappings.',
    'D3_CFG_CLRTMP_ASSIGNACC2ART'          => 'Accessories mappings',
    'D3_CFG_CLRTMP_ASSIGNACC2ART_SUCC'     => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNACC2ART_DESC'     => 'table "oxaccessoire2article"',
    'D3_CFG_CLRTMP_ASSIGNACT2ART'          => 'Actions to articles mappings',
    'D3_CFG_CLRTMP_ASSIGNACT2ART_SUCC'     => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNACT2ART_DESC'     => 'table "oxactions2article"',
    'D3_CFG_CLRTMP_ASSIGNARTEXTENDS'          => 'Article long description',
    'D3_CFG_CLRTMP_ASSIGNARTEXTENDS_SUCC'     => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNARTEXTENDS_DESC'     => 'table "oxartextends"',
    'D3_CFG_CLRTMP_ASSIGNDEL2DELSET'       => 'Shipping mappings',
    'D3_CFG_CLRTMP_ASSIGNDEL2DELSET_SUCC'  => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNDEL2DELSET_DESC'  => 'table "oxdel2delset"',
    'D3_CFG_CLRTMP_ASSIGNCAT2ATTRIB'       => 'Attribute to category mappings',
    'D3_CFG_CLRTMP_ASSIGNCAT2ATTRIB_SUCC'  => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNCAT2ATTRIB_DESC'  => 'table "oxcategory2attribute"',
    'D3_CFG_CLRTMP_ASSIGNNEWSSUBSCRIBED'       => 'Newsletter registrations',
    'D3_CFG_CLRTMP_ASSIGNNEWSSUBSCRIBED_SUCC'  => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNNEWSSUBSCRIBED_DESC'  => 'table "oxnewssubscribed"',
    'D3_CFG_CLRTMP_ASSIGNOBJ2ACTION'          => 'Actions mappings',
    'D3_CFG_CLRTMP_ASSIGNOBJ2ACTION_SUCC'     => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNOBJ2ACTION_DESC'     => 'table "oxobject2action"',
    'D3_CFG_CLRTMP_ASSIGNOBJ2ART'          => 'Article to article mappings',
    'D3_CFG_CLRTMP_ASSIGNOBJ2ART_SUCC'     => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNOBJ2ART_DESC'     => 'table "oxobject2article"',
    'D3_CFG_CLRTMP_ASSIGNOBJ2ATTRIB'          => 'Attribute to article mappings',
    'D3_CFG_CLRTMP_ASSIGNOBJ2ATTRIB_SUCC'     => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNOBJ2ATTRIB_DESC'     => 'table "oxobject2attribute"',
    'D3_CFG_CLRTMP_ASSIGNOBJ2CAT'          => 'Article to category mappings',
    'D3_CFG_CLRTMP_ASSIGNOBJ2CAT_SUCC'     => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNOBJ2CAT_DESC'     => 'table "oxobject2category"',
    'D3_CFG_CLRTMP_ASSIGNOBJ2DEL'          => 'Shipping cost rules assignment',
    'D3_CFG_CLRTMP_ASSIGNOBJ2DEL_SUCC'     => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNOBJ2DEL_DESC'     => 'table "oxobject2delivery"',
    'D3_CFG_CLRTMP_ASSIGNOBJ2DISC'          => 'Various to discount mappings',
    'D3_CFG_CLRTMP_ASSIGNOBJ2DISC_SUCC'     => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNOBJ2DISC_DESC'     => 'table "oxobject2discount"',
    'D3_CFG_CLRTMP_ASSIGNOBJ2GROUP'          => 'Various to groups mappings',
    'D3_CFG_CLRTMP_ASSIGNOBJ2GROUP_SUCC'     => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNOBJ2GROUP_DESC'     => 'table "oxobject2group"',
    'D3_CFG_CLRTMP_ASSIGNOBJ2LIST'          => 'Article to recommendation mappings',
    'D3_CFG_CLRTMP_ASSIGNOBJ2LIST_SUCC'     => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNOBJ2LIST_DESC'     => 'table "oxobject2list"',
    'D3_CFG_CLRTMP_ASSIGNOBJ2PAYMENT'      => 'Payment mappings',
    'D3_CFG_CLRTMP_ASSIGNOBJ2PAYMENT_SUCC' => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNOBJ2PAYMENT_DESC' => 'table "oxobject2payment"',
    'D3_CFG_CLRTMP_ASSIGNOBJ2SELLIST'      => 'Article to selectlist mappings',
    'D3_CFG_CLRTMP_ASSIGNOBJ2SELLIST_SUCC' => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNOBJ2SELLIST_DESC' => 'table "oxobject2selectlist"',
    'D3_CFG_CLRTMP_ASSIGNPRICE2ART'      => 'Price to article mappings',
    'D3_CFG_CLRTMP_ASSIGNPRICE2ART_SUCC' => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNPRICE2ART_DESC' => 'Tabelle "oxprice2article"',
    'D3_CFG_CLRTMP_ASSIGNVARIANTWOPARENT'      => 'Delete variants without parent articles',
    'D3_CFG_CLRTMP_ASSIGNVARIANTWOPARENT_SUCC' => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_ASSIGNVARIANTWOPARENT_DESC' => 'Variants without parent articles can no longer be viewed in the shop. The articles including their long texts are deleted.',

    'D3_CFG_CLRTMP_VARIANTS'                => 'Clean up variant mappings',
    'D3_CFG_CLRTMP_VARIANTPARENTISVAR'      => 'Variant equal to parent article',
    'D3_CFG_CLRTMP_VARIANTPARENTISVAR_SUCC' => '%1$d entries have been changed.',
    'D3_CFG_CLRTMP_VARIANTPARENTISVAR_DESC' => 'In the case of incorrect variant imports, it may happen that a variant article has itself as a parent article. This can not be resolved in the shop. The item will not be displayed or even cause a loading error. This action resolves the wrong link and turns the article into a single article. You can then edit it again. If the article does not have its own title, it is named "unassigned article".',
    'D3_CFG_CLRTMP_VARIANTACTIVE'           => 'Disable variants of inactive parent items',
    'D3_CFG_CLRTMP_VARIANTACTIVE_SUCC'      => '%1$d entries have been changed.',
    'D3_CFG_CLRTMP_VARIANTACTIVE_DESC'      => 'For inactive parents, active variants do not make much sense. This option removes the active status for variant items that have an inactive parent item. This feature does not activate other items. Date-time information for the active detection is not taken into account.',

    'D3_CFG_CLRTMP_INACTIVE'                => 'remove inactive entries from mappings',
    'D3_CFG_CLRTMP_UNASSIGNINACTIVECOUNTRIES'   => 'inactive countries',
    'D3_CFG_CLRTMP_UNASSIGNINACTIVECOUNTRIES_SUCC'     => '%1$d entries have been deleted.',
    'D3_CFG_CLRTMP_UNASSIGNINACTIVECOUNTRIES_DESC'     => 'When setting up shipping costs are quickly assigned times "all countries". If these are not active, this only takes time unnecessarily for the selection. This option removes inactive countries from the map. If the countries are activated again, the assignment must be carried out again.',
    'D3_CFG_CLRTMP_DEACTIVATEEMPTYCATEGORIES'   => 'switch off empty categories',
    'D3_CFG_CLRTMP_DEACTIVATEEMPTYCATEGORIES_SUCC'     => '%1$d entries have been deactivated.',
    'D3_CFG_CLRTMP_DEACTIVATEEMPTYCATEGORIES_DESC'     => 'The shop offers the possibility to dynamically remove empty categories from the category tree. This is done again every time a page is called and consumes a lot of power. If the categories remain empty in the future, they can be permanently deactivated. The condition is that there are no active articles in it. The item inventory is not taken into account for the active check. Also not included are categories that include more subcategories.',

    'D3_CFG_CLRTMP_GENERAL_CLEARDB'        => 'Database entries may be deleted. Please create a backup of the database in advance. \n\nShould the cleanup be done now?',
    'D3_CFG_CLRTMP_GENERAL_CHANGEDB'       => 'Database entries may be changed. Please create a backup of the database in advance. \n\nShould the customization be done now?',
    'D3_CFG_MNT_CHECKALL'                  => 'check all items',
    'D3_CFG_MNT_SUBMIT'                    => 'operate action',
    'D3_CFG_MNT_SUCCESS'                   => 'Maintenance were operated.',

    'D3_CFG_CLRTMP_CLI_COMMON_RUNFROMCLI'  => 'This script has to be run from the command line',
    'D3_CFG_CLRTMP_CLI_COMMON_NOVALIDTYPE' => 'no valid type defined',
    'D3_CFG_CLRTMP_CLI_HELP'               => 'delete objects from temporary folder',
    'D3_CFG_CLRTMP_CLI_OPTION_VERSION'     => 'print version',
    'D3_CFG_CLRTMP_CLI_OPTION_QUIET'       => 'prevents output from being displayed',
    'D3_CFG_CLRTMP_CLI_OPTION_LANG'        => 'optional - language of the output messages, possible values are: "%1$s"',
    'D3_CFG_CLRTMP_CLI_OPTION_HELP'        => 'Display this help screen and exit immeadiately.',
    'D3_CFG_CLRTMP_CLI_OPTION_NOCOLORS'    => 'Do not use any colors in output. Useful when piping output to other tools or files.',
    'D3_CFG_CLRTMP_CLI_OPTION_LOGLEVELS'   => 'Minimum level of messages to display. Default is "info". Valid levels are: "%1$s".',
    'D3_CFG_CLRTMP_CLI_COMMAND'            => 'This tool accepts a command as first parameter as outlined below:',
    'D3_CFG_CLRTMP_CLI_COMMAND_RUN'        => 'Execution of the deletion order',
    'D3_CFG_CLRTMP_CLI_ARGUMENT_TYPE'      => 'Types of objects to be deleted, possible values are "%1$s"',
    'D3_CFG_CLRTMP_CLI_ARGUMENT_ENCLOSER'  => '", "',
    'D3_CFG_CLRTMP_CLI_FINISHED_SUCCFESSFULLY' => 'script successfully finished',
    'D3_CFG_CLRTMP_UNKNOWN_ACTION'         => 'action "%s" is not in list',

    'd3mxlog'                               => 'Logging',
    'd3mxlog_main'                          => 'Analysis',
    'd3tbcllog_main'                        => 'Details / Export',
    'd3tbcllog_cleanup'                     => 'Service',

    'D3LOG_LIB_TRANSL'                      => 'Logging',
    'D3LOG_LIB_HELPLINK'                    => 'Modul-Connector/Logging/',

    'D3_CFG_LOG_LOGTYPE'                    => 'priority',
    'D3_CFG_LOG_TIME'                       => 'time',
    'D3_CFG_LOG_COUNTER'                    => 'counter',
    'D3_CFG_LOG_MODULE'                     => 'module',
    'D3_CFG_LOG_TEXT'                       => 'recorded data',
    'D3_CFG_LOG_SESSID'                     => 'session ID',
    'D3_CFG_LOG_ACTION'                     => 'action',
    'D3_CFG_LOG_CLASS'                      => 'class',
    'D3_CFG_LOG_FUNCTION'                   => 'method name',
    'D3_CFG_LOG_LINE'                       => 'line',
    'D3_CFG_LOG_WRAP'                       => 'no line wrap',
    'D3_CFG_LOG_ACTITEMS_MODULES'           => '<b>At the moment you only see the log entries of the module "%s". To see all log entries, to export or delete them, please use the view under "Module-Connector => Logging"</b><br><br>',
    'D3_CFG_LOG_ACTITEMS'                   => 'Currently there are ',
    'D3_CFG_LOG_ACTITEMS1'                  => ' entries stored in the D3 log.',
    'D3_CFG_LOG_ACTITEMS2'                  => ' entries stored in the D3 log. Deactivate unnecessary log settings or delete the entries.',
    'D3_CFG_CLEAN_DEL1'                     => 'Delete all entries with the following conditions:',
    'D3_CFG_CLEAN_DEL_MODULE'               => 'Module',
    'D3_CFG_CLEAN_DEL_MODULE_ALL'           => 'Entries of all modules',
    'D3_CFG_CLEAN_DEL_FROMTIME'             => 'Entries from date',
    'D3_CFG_CLEAN_DEL_TOTIME'               => 'Entries until date',
    'D3_CFG_CLEAN_DEL_TYPE'                 => 'Priority',
    'D3_CFG_CLEAN_DEL_TYPE_ALL'             => 'Entries of all priorities',
    'D3_CFG_CLEAN_DELETE'                   => 'Delete',
    'D3_CFG_EXPORT_SHOWDIALOG'              => 'show export form',
    'D3_CFG_EXPORT_EXP1'                    => 'Export all entries with the following conditions:',
    'D3_CFG_EXPORT_EXP_MODULE'              => 'Module',
    'D3_CFG_EXPORT_EXP_MODULE_ALL'          => 'Entries of all modules',
    'D3_CFG_EXPORT_EXP_MODULE_DEF'          => 'Entries of the module "%1$s"',
    'D3_CFG_EXPORT_EXP_TIME'                => 'Entries from date',
    'D3_CFG_EXPORT_EXP_SESSID'              => 'Entries of this session (optional)',
    'D3_CFG_EXPORT_EXP_CLASS'               => 'Entries of this class',
    'D3_CFG_EXPORT_EXP_CLASS_ALL'           => 'Entries of all classes',
    'D3_CFG_EXPORT_SQL'                     => 'Export as SQL',
    'D3_CFG_EXPORT_CSV'                     => 'Export as CSV',
    'D3_CFG_EXPORT_FILEMESSAGE'             => 'Exported to:',
    'D3_CFG_EXPORT_MAILMESSAGE'             => 'and sent by mail',
    'D3_CFG_EXPORT_EXP_MAIL'                => 'send to e-mail address (optional):',
    'D3_LOG_MAIL_SUBJECT'                   => 'log data',
    'D3_LOG_MAIL_NOTSEND'                   => 'Mail could not be sent. File to send: %s',

    'D3_CFG_FIELDTITLE_OXID'                => 'internal ID',
    'D3_CFG_FIELDTITLE_OXSHOPID'            => 'Shop ID',
    'D3_CFG_FIELDTITLE_OXSESSID'            => 'Session ID',
    'D3_CFG_FIELDTITLE_OXLOGTYPE'           => 'Priority',
    'D3_CFG_FIELDTITLE_OXCOUNTER'           => 'Counter',
    'D3_CFG_FIELDTITLE_OXTIME'              => 'Time',
    'D3_CFG_FIELDTITLE_OXMODID'             => 'Module ID',
    'D3_CFG_FIELDTITLE_OXCLASS'             => 'Class name',
    'D3_CFG_FIELDTITLE_OXFNC'               => 'Function name',
    'D3_CFG_FIELDTITLE_OXLINE'              => 'Line number',
    'D3_CFG_FIELDTITLE_OXACTION'            => 'Action',
    'D3_CFG_FIELDTITLE_OXTEXT'              => 'Log text',
    'D3_CFG_FIELDTITLE_OXTIMESTAMP'         => 'Time stamp',
    'D3_CFG_FIELDTITLE_OXPROFILEID'         => 'Profile ID',

    'D3_LOG_CFG_USEEXTLOG'                  => 'use advanced logging settings',
    'D3_LOG_CFG_EXTENDED_LOGGING_HELP'      => 'The shop operator usually selects combined log groups. With this option, each log mode can be set individually.',
    'D3_LOG_CFG_ENABLE_ERR_REPORT'          => 'Write ErrorReporting to internal log',
    'D3_LOG_CFG_ENABLE_ERR_REPORT_HELP'     => 'In normal operation, PHP messages are not output for security reasons. With this setting messages are transferred to the internal log. This setting has no effect on the output of this data on the screen.',
    'D3_LOG_CFG_ENABLE_EXC_REPORT'          => 'Write exceptions to internal log',
    'D3_LOG_CFG_ENABLE_EXC_REPORT_HELP'     => 'Exceptions are stored in the EXCEPTION_LOG.txt. For easier evaluation, you can also log these in the internal log as well. <br> All general exceptions that are intercepted via oxshopcontrol::process() are logged. Exceptions to the module connector are logged based on its log settings. Exceptions that are intercepted elsewhere can not be made accessible to the log.',
    'D3_LOG_CFG_ENABLE_ADMINPROFILING'      => 'Show profiling in the admin area too',
    'D3_LOG_CFG_ENABLE_ADMINPROFILING_HELP' => 'The admin section does not normally display the profiling, which can be activated via the file "config.inc.php".',
    'D3_LOG_CFG_SHOWALLEXCEPTIONS'          => 'Show all exceptions',
    'D3_LOG_CFG_SHOWALLEXCEPTIONS_HELP'     => 'In normal operation, errors are suppressed and only written in the background. To quickly detect any errors, set this switch. Deactivate it again afterwards!',
    'D3_LOG_CFG_MODULELOGGING'              => 'Scope of error reportings',
    'D3_LOG_CFG_MAILMESSAGING'              => 'Mail notifications (optional)',
    'D3_LOG_CFG_MAILADDRESS'                => 'Mail address',
    'D3_LOG_CFG_MAILERRLEVEL'               => 'from error level',
    'D3_LOG_CFG_MAILERRLEVEL_NOERR'         => '- no mailing -',
    'D3_LOG_CFG_MAILERRLEVEL_EMERGENCY'     => 'Emergency',
    'D3_LOG_CFG_MAILERRLEVEL_ALERT'         => 'Alert and above',
    'D3_LOG_CFG_MAILERRLEVEL_CRITICAL'      => 'Critical and above',
    'D3_LOG_CFG_MAILERRLEVEL_FATALERR'      => 'Fatal Error',
    'D3_LOG_CFG_MAILERRLEVEL_ERROR'         => 'Error and above',
    'D3_LOG_CFG_MAILERRLEVEL_ALLERROR'      => 'all "error" containing status',
    'D3_LOG_CFG_MAILERRLEVEL_WARNING'       => 'Warnings and above',
    'D3_LOG_CFG_INTERVAL'                   => 'Interval',
    'D3_LOG_CFG_INTERVALMAX'                => 'maximum every',
    'D3_LOG_CFG_INTERVALMAX_DAYS'           => 'day(s)',
    'D3_LOG_CFG_INTERVALMAX_HOURS'          => 'hour(s)',
    'D3_LOG_CFG_INTERVALMAX_MINS'           => 'minute(s)',
    'D3_LOG_CFG_MAILLASTSEND'               => 'Last mailing',
    'D3_LOG_CFG_SAVE'                       => 'Save',
    'D3_LOG_CFG_MODULELOGGING_ALL_DESC'     => 'Attention: generates large amounts of data!',

    'D3_CFG_LOG_TYPE_NONE'                  => 'no log items',
    'D3_CFG_LOG_TYPE_ERROR'                 => 'errors only',
    'D3_CFG_LOG_TYPE_WARNING'               => 'errors and warnings',
    'D3_CFG_LOG_TYPE_NOTICE'                => 'errors, warnings, notices',
    'D3_CFG_LOG_TYPE_INFO'                  => 'all error and info levels',
    'D3_CFG_LOG_TYPE_USERDEFINED'           => 'user defined',

    'D3_LOGTYPE_EMERGENCY'                  => 'escalating errors (Emergency)',
    'D3_LOGTYPE_ALERT'                      => 'alarming errors (Alert)',
    'D3_LOGTYPE_CRITICAL'                   => 'critical errors (Critical)',
    'D3_LOGTYPE_ERROR'                      => 'general errors (Error)',
    'D3_LOGTYPE_WARNING'                    => 'warnings',
    'D3_LOGTYPE_NOTICE'                     => 'notices',
    'D3_LOGTYPE_INFO'                       => 'general informations (Infos)',
    'D3_LOGTYPE_DEBUG'                      => 'debug informations (Debug)',
    'D3_LOGTYPE_TEST'                       => 'test informations (Test)',
    'D3_LOGTYPE_DESC'                       => '<h4>Log level</h4><ul><li>Emergency (error) - System is unusable (Ex: all PHP crashes between FATAL ERRORs and WARNINGs, no module configuration found) </li><li>Alert (error) - measures must be taken immediately (eg: requirements not fulfilled, required authorizations not available)</li><li>Critical (error) - Critical condition (eg access data missing, important configuration errors)</li><li>Error (error) - erroneous condition, other reaction that can trigger unexpected process-relevant reactions</li><li>Warning - eg: Incorrect configurations, input errors on the view level</li><li>Notice - normal, but important condition, essential information on the traceability of actions (logging of start / end / rough process outline)</li><li>Info - extended information on the traceability of actions, statistical data</li><li>Debug - Information on the traceability of actions including data of the action (queries, transaction data)</li><li>Test - limited or specially manipulated function for module tests</li><li>User-defined - a log combination was set via the extended logging settings (can be activated in the log library), which is not available as a group. Change the group or activate the extended logging settings again.</li></ul>',

    'D3_LOGMAIL_SUBJECT'                    => 'Loginfo from %s (%s)',
    'D3_LOGMAIL_HEADLINE'                   => 'These log items were in the shop set since last info mail:',
    'D3_LOGMAIL_INMODULE'                   => ' in module "%s"',
    'D3_LOGMAIL_DESC'                       => 'Details and causes of these log entries can be viewed in the admin area of your shop under "D³ Modules -> Module Connector -> Logging". There you can also delete irrelevant or clarified log entries.',
    'D3_LOGMAIL_LEGENDE'                    => '<hr><h3>Legend:</h3>',

    'D3_LOG_CLI_COMMON_RUNFROMCLI'          => 'This script has to be run from the command line',
    'D3_LOG_CLI_HELP'                       => 'Enables remote execution of maintenance tasks',
    'D3_LOG_CLI_OPTION_VERSION'             => 'print version',
    'D3_LOG_CLI_OPTION_QUIET'               => 'prevents output from being displayed',
    'D3_LOG_CLI_OPTION_LANG'                => 'optional - language of the output messages, possible values are: "%1$s"',
    'D3_LOG_CLI_OPTION_HELP'                => 'Display this help screen and exit immeadiately.',
    'D3_LOG_CLI_OPTION_NOCOLORS'            => 'Do not use any colors in output. Useful when piping output to other tools or files.',
    'D3_LOG_CLI_OPTION_LOGLEVELS'           => 'Minimum level of messages to display. Default is "info". Valid levels are: "debug", "info", "notice", "success", "warning", "error", "critical", "alert", "emergency".',
    'D3_LOG_CLI_COMMAND'                    => 'This tool accepts a command as first parameter as outlined below:',
    'D3_LOG_CLI_COMMAND_CLEANUPLOG'         => 'cleans the d3log table from entries older than the specified time',
    'D3_LOG_CLI_COMMAND_LOGSTATUS'          => 'show status info for d3log table',
    'D3_LOG_CLI_COMMAND_LOGSTATUS_COUNT'    => 'count',
    'D3_LOG_CLI_COMMAND_LOGSTATUS_TYPE'     => 'log type',
    'D3_LOG_CLI_COMMAND_LOGSTATUS_DATE'     => 'date',
    'D3_LOG_CLI_ARGUMENT_ENCLOSER'          => '", "',
    'D3_LOG_CLI_ARGUMENT_VALUE'             => 'time value (integer - the "6" at "6 months)',
    'D3_LOG_CLI_ARGUMENT_UNIT'              => 'time unit, possible values are: "%1$s"',
    'D3_LOG_CLI_FINISHED_AFFECTED'          => '%1$s entries were removed',
    'D3_LOG_CLI_FINISHED_SUCCFESSFULLY'     => 'script successfully finished',
    'D3_LOG_CLI_UNVALID_PARAMETERS'         => 'Missing or invalid parameters, please check the arguments passed',

    'D3_INSTALL'                                       => 'Installation',

    'D3INSTALL_LIB_TRANSL'                             => 'Automatic Installation',

    'D3_INSTALL_SETUPSTEPS_INIT'                       => 'start installation',
    'D3_INSTALL_PROGRESS'                              => 'progess: ',

    'D3_INSTALL_STARTSETUP'                            => 'Create a backup of you database before the installation start, so that you can restore it in case of error. <br>File backups will create by the installation automaticly.',
    'D3_INSTALL_STARTSETUP1'                           => 'May you start the installation of "',
    'D3_INSTALL_STARTSETUP2'                           => '"?',
    'D3_INSTALL_SETUPCOUNT'                            => 'Update step #%s',
    'D3_INSTALL_SETUPCOUNT_DESC'                       => ' (%1$s)',
    'D3_INSTALL_SETUPSTEPS'                            => 'The following steps will executed:',
    'D3_INSTALL_SETUPSTEPS_GETARCHIVE'                 => 'module package will downloaded',
    'D3_INSTALL_SETUPSTEPS_LOADDESC'                   => 'module package will downloaded and extracted',
    'D3_INSTALL_SETUPSTEPS_EXTRACTARCHIVE'             => 'module package will extracted',
    'D3_INSTALL_SETUPSTEPS_SHOWDESCRIPTION'            => 'Description',
    'D3_INSTALL_SETUPSTEPS_COPYFILES'                  => 'files will copied (and backuped, if required) ',
    'D3_INSTALL_SETUPSTEPS_COPYFILES_DESC'             => 'All files inside the "copy_this" directory will copied into the shop, existing files will backuped.',
    'D3_INSTALL_SETUPSTEPS_COPYFILES_SOURCEPATH'       => 'source path',
    'D3_INSTALL_SETUPSTEPS_COPYFILES_DESTPATH'         => 'target path',
    'D3_INSTALL_SETUPSTEPS_ACTIVATEMODULE'             => 'activate module',
    'D3_INSTALL_SETUPSTEPS_ACTIVATEMODULE_DESC'        => 'This extension has to be registered in your shop. The module is thus <b>not</b> immediately active. In default case, our modules have a separate activation option, which then only activates their functions in the shop.',
    'D3_INSTALL_SETUPSTEPS_ACTIVATE'                   => '"%1$s" (%2$s)',
    'D3_INSTALL_SETUPSTEPS_MODSTEPS'                   => 'module items will written (module related)',
    'D3_INSTALL_SETUPSTEPS_DBITEMS'                    => 'database item will inserted (module related)',
    'D3_INSTALL_SETUPSTEPS_REGISTERMODULE'             => 'register module',
    'D3_INSTALL_SETUPSTEPS_REGISTERMODULE_DESC'        => 'The following module entries should be set. Existing extensions must be appended with the new entries.',
    'D3_INSTALL_SETUPSTEPS_REGISTERMODULE_NOITEMS'     => 'no new modul items available',
    'D3_INSTALL_SETUPSTEPS_SETDATA'                    => ' - Processing',
    'D3_INSTALL_SETUPSTEPS_FINISHED'                   => 'installation finished',
    'D3_INSTALL_SETUPSTEPS_FINISHED_DESC'              => 'The module installation was successfully completed.',
    'D3_INSTALL_SETUPSTEPS_FINISHED_DESC2'             => 'We wish you much success!',
    'D3_INSTALL_CLEANUP'                               => 'After installation, the TMP directory must be emptied. Should this be done now?',
    'D3_INSTALL_CLEANUPSTART'                          => 'clear TMP folder now',
    'D3_INSTALL_CLEANUPSUCCESS'                        => 'The TMP folder was cleared successfull.',
    'D3_INSTALL_CLEANUPNOTSUCCESS'                     => 'The TMP directory could not be (completely) emptied. Please do this yourself again.',
    'D3_INSTALL_PROTOKOLLURI'                          => 'The following installation log is also stored on your server: ',
    'D3_INSTALL_YES'                                   => 'automatic installation*',
    'D3_INSTALL_YESEXPERT'                             => 'user defined installation*',
    'D3_INSTALL_NO'                                    => 'cancel',
    'D3_INSTALL_SETUPDESC'                             => '* The express installation is completely automated. <br> With the "custom installation" you can also skip individual steps and perform them manually if necessary. This is recommended for strongly adapted shops.',
    'D3_INSTALL_SETUPSTEPS_ERROR'                      => 'error occured while installation',
    'D3_INSTALL_EXPMODEQUESTION'                       => 'Should the step be executed automatically or do you want to continue with the next point (the action should then be performed manually)?',
    'D3_INSTALL_EXPMODEEXECAUTO'                       => 'execute it automatic',
    'D3_INSTALL_EXPMODENXTSTEP'                        => 'continue with next step',
    'D3_INSTALL_NONEXISTINGSTEP'                       => 'The expected update function is unfortunately not available. If an update of the Module Connector is available, please install it beforehand. Try this installation again.',
    'D3_INSTALL_SETUPSTEPS_DESCCONTINUE'               => 'continue installation',
    'D3_INSTALL_DEPENDENCIES_POSSUPDATE'               => 'This library / module requires that another library in a particular version be installed before. It is likely that functions are mandatory. Install the following libraries before continuing this installation:',
    'D3_INSTALL_DEPENDENCIES_REQUNEWINSTALL'           => 'The available libraries can not be updated due to interdependencies. Please reinstall the "Initial Installation". You can download this package for free in our shop.',
    'D3_INSTALL_DEPENDENCIES_NOINSTALLPOSS'            => 'The installation requires libraries that are currently not available. Please contact us for further assistance.',
    'D3_INSTALL_DEPENDENCIES_UNDEFERROR'               => 'Unknown dependency: Please try to refresh the installation library first. Alternatively, please use the "Initial Installation Package" from our site oxidemodule.com for installation.',
//    'D3_INSTALL_DEPENDENCIES_MINREV'                   => 'minimum in revision',
    'D3_INSTALL_DEPENDENCIES_MINVERSION'               => 'minimum in version',
    'D3_INSTALL_DEPENDENCIES_STARTINSTALL'             => '- start installation',
    'D3_INSTALL_SETUPSTEPS_IGNORE'                     => 'continue anyhow',
    'D3_INSTALL_ROLLBACK1'                             => 'During the installation an action could not be executed successfully. <br> <br> But that is not a problem. At what point the installation was aborted, please refer to the log entries below.',
    'D3_INSTALL_ROLLBACK2'                             => 'You have the choice:',
    'D3_INSTALL_ROLLBACK3'                             => 'You finish the installation yourself from this point, then please cancel here.',
    'D3_INSTALL_ROLLBACK5'                             => 'You can download the module here.',
    'D3_INSTALL_ROLLBACK4'                             => 'The previous installation is undone to start a new attempt (manually)',
    'D3_INSTALL_SETUPSTEPS_INITROLLBACK'               => 'Undo installation',
    'D3_INSTALL_ROLLBACKCANCEL'                        => 'cancel installation',
    'D3_INSTALL_SETUPSTEPS_ROLLBACK_END'               => 'rollback finished',
    'D3_INSTALL_PROTOKOLL_SUCCESSFULL'                 => 'successfull',
    'D3_INSTALL_FINISH'                                => 'finish installation',
    'D3_INSTALL_PROTOKOLL_NOTSUCCESSFULL'              => 'error',
    'D3_INSTALL_CFG_SAVE'                              => 'save',

    'D3_UPDATE_AVAILABLE_VERSION'                      => '<span style="margin: 10px;"><img src="https://logos.oxidmodule.com/d3logo.svg" alt="(D3)" style="height:1em;width:1em"> <a href="%1$s" target="modupdate">New module version for "%2$s" (version %3$s) available.</a></span>',
    'D3_UPDATE_AVAILABLE_VERSION_NOLINK'               => '<span style="margin: 10px;"><img src="https://logos.oxidmodule.com/d3logo.svg" alt="(D3)" style="height:1em;width:1em"> New module version for "%1$s" (version %2$s) available.</span>',
    'D3_UPDATE_EXPIREDMODULE'                          => '<span style="margin: 10px;"><img src="https://logos.oxidmodule.com/d3logo.svg" alt="(D3)" style="height:1em;width:1em"> <a href="%1$s" target="_blank">The license of the module "%2$s" is expired. The functions are no longer available. Please contact us for an updated license.</a></span>',
    'D3_UPDATE_EXPIRESOONMODULE'                       => '<span style="margin: 10px;"><img src="https://logos.oxidmodule.com/d3logo.svg" alt="(D3)" style="height:1em;width:1em"> <a href="%1$s" target="_blank" style="color: #F00000; font-weight: bold;">The license of the module "%2$s" expires in %3$s. The modul function will no longer be available. Please contact us for an updated license.</a></span>',
    'D3_UPDATE_REQUIRED_MODCFGUPDATE'                  => '<span style="margin: 10px;"><img src="https://logos.oxidmodule.com/d3logo.svg" alt="(D3)" style="height:1em;width:1em"> <a href="%s" target="basefrm" style="color: #F00000; font-weight: bold;">Module connector requires an important installation. Click here to start the installation wizzard.</a></span>',

    'D3_CFG_MOD_UPDATE_TITLE'                          => 'D³ Module Installation Wizard',
    'D3_CFG_MOD_UPDATE_DESC'                           => 'Instead of the view you have chosen, you will see the module installation wizard here. This is shown because one or more of your D³ modules have to make some adjustments to the shop for their proper functioning.',
    'D3_CFG_MOD_UPDATE_SELECTDESC'                     => 'The installation wizard will be shown as one or more of your D³ modules need to make some adjustments to the shop for proper operation.',
    'D3_CFG_MOD_UPDATE_START'                          => 'Start',
    'D3_CFG_MOD_UPDATE_CHOOSESTEP'                     => 'Choose how you want to continue:',
    'D3_CFG_MOD_UPDATE_DEMOSHOP'                       => 'Since this shop runs in demo mode, not all options are selectable. Please contact the technical supervisor.',
    'D3_CFG_MOD_UPDATE_STEP_AUTOINSTALL'               => 'Automatic installation',
    'D3_CFG_MOD_UPDATE_STEP_AUTOINSTALL_DESC'          => 'The required installations are performed automatically with the default options. All actions are logged. <br> <b> This option is recommended for most shops. </b>',
    'D3_CFG_MOD_UPDATE_STEP_MANUALYINSTALL'            => 'Automatic installation with consultation',
    'D3_CFG_MOD_UPDATE_STEP_MANUALYINSTALL_DESC'       => 'The required installations are executed. Before each installation step you decide whether it should really be executed. <br> <b> This option is recommended for rather unusual server setups.</b>',
    'D3_CFG_MOD_UPDATE_STEP_CHECKLIST'                 => 'List for manual installation',
    'D3_CFG_MOD_UPDATE_STEP_CHECKLIST_DESC'            => 'The installation wizard will give you a list of the actions required. Changes to your shop are not made. <br> <b> Please note that the installations must be carried out to ensure proper functioning of the module connector and the modules based on it.</b>',
    'D3_CFG_MOD_UPDATE_STEP_SKIP'                      => 'Skip installation temporarily',
    'D3_CFG_MOD_UPDATE_STEP_SKIP_DESC'                 => 'You will be redirected to the originally selected page. However, the required installations are not performed. <br> <b> Please note that the installations must be performed to ensure the correct functioning of the module connector and the modules based on it. </b>',
    'D3_CFG_MOD_UPDATE_STEP_SKIP_RANGE1'               => '<br>At the earliest ',
    'D3_CFG_MOD_UPDATE_STEP_SKIP_RANGE2'               => ' you will be reminded again.',
    'D3_CFG_MOD_UPDATE_MULTIDESC'                      => 'The update must be carried out in several steps. Click on the button to complete the next steps.',
    'D3_CFG_MOD_UPDATE_MULTICONTINUE'                  => 'Continue update',
    'D3_CFG_MOD_UPDATE_STEPCONTINUE'                   => 'Perform installation step ...',
    'D3_CFG_MOD_UPDATE_SESSIONSKIP'                    => 'Skip in this session',
    'D3_CFG_MOD_UPDATE_SKIPEVER'                       => 'always skip',
    'D3_CFG_MOD_UPDATE_MULTIBACK'                      => 'back to action selection',
    'D3_CFG_MOD_UPDATE_JOB_SQL'                        => 'Execute this query in your shop database. When the installation is complete, empty the TMP folder and refresh the VIEW tables:',
    'D3_CFG_MOD_UPDATE_JOB_MODULE'                     => 'Activate these modules:',
    'D3_CFG_MOD_UPDATE_JOB_MSG'                        => 'Please note the following notes:',
    'D3_CFG_MOD_UPDATE_JOB_FILECONTENT'                => 'Customize the file "%s" or re-create it with the content:',
    'D3_CFG_MOD_UPDATE_ACTIVATEMODULE'                 => 'Modul "%s" (ID: "%s") in shop "%s (%s)"',
    'D3_CFG_MOD_UPDATE_JOB_BREAK'                      => 'The update has been paused because the further actions depend on the updates shown so far. First, run the previous updates and continue with this wizard. You will see the further update steps at this point.',
    'D3_CFG_MOD_UPDATE_JOB_ERROR'                      => 'Error during installation',
    'D3_CFG_MOD_UPDATE_JOB_ERROR_DESC'                 => 'Unfortunately, the installation could not be completed for the step shown. Please check this version manually and then continue the installation here.',
    'D3_CFG_MOD_UPDATE_JOB_ERRORMSG_DESC'              => 'Unfortunately, the installation could not be completed for the step shown. The following message was returned: <code>%s</code>. Please check this version manually and then continue the installation here.',
    'D3_CFG_MOD_UPDATE_WAIT'                           => 'Please wait...',
    'D3_CFG_MOD_UPDATE_NOUPDATE'                       => 'For your shops no (further) updates are necessary.',
    'D3_CFG_MOD_UPDATE_NOUPDATEBACKLINK'               => 'Click <a href="%s">here</a>, to go back to the former page.',
    'D3_CFG_MOD_UPDATE_HASSKIPHASHES'                  => 'In your shop update actions are noted, which should be skipped. Should these update steps be reactivated?',
    'D3_CFG_MOD_UPDATE_DELSKIPHASHES'                  => 'reactivate skipped updates',
    'D3_CFG_MOD_UPDATE_MOREINFO'                       => '[ more ... ]',
    'D3_CFG_MOD_UPDATE_STEP_CHECK_SAVEASFILE'          => 'export as file',
    'D3_CFG_MOD_EXC_ALLLIBSDEACTIVATED'                => 'For reasons of system stability, all associated libraries were deactivated with this library. Please note that modules that require the D3 module connector will probably not work before the module connector has been completely re-enabled.',

    'D3_UPDATE_DISABLE_LOG_INSTALL_CLRTMP'             => 'Deactivate the following entries in "Extensions -> Modules" in the admin area. <ul><li>D3 Connector - Logging</li><li>D3 Connector - Installation wizard </li><li>D3 Connector - Clear TMP</li></ul>',
    'D3_UPDATE_DELETE_DIR'                             => 'Delete the directory "%s" and its contents from the server.',
    'D3_UPDATE_DELETE_DIRONCE'                         => 'Delete the directory "%s" from the server.',
    'D3_UPDATE_DELETE_FILEONCE'                        => 'The following file is obsolete and is no longer needed by the current version of the module. Please delete the file '. PHP_EOL. '"%s"'. PHP_EOL. 'from the server. If you execute this installation step, this file will be deleted automatically.',
    'D3_UPDATE_DELETE_CONFIGMODULEITEMS'               => 'There are registered extensions in the shop whose directory or files are not available. '. PHP_EOL. 'Please confirm the removal of these extensions. '. PHP_EOL. PHP_EOL. 'Alternatively, you can do this cleanup later in the admin area in '. PHP_EOL. 'Extensions -> Modules -> Perform installed shop modules.', PHP_EOL. PHP_EOL. 'Affected extensions are: ',
    'D3_UPDATE_REGMLTABLECONFIG'                       => 'Basic shop settings (if available) are also read from the file "config.inc.php". <br> <br> Normally, this option is not used. Then simply continue this installation as normal. <br> <br> If you have entered the entry "%1$s" in the file, please change its contents there manually to the following value: <br> <br>%2$s <br> Unfortunately, the adjustments can be made not be done as part of the automatic installation.',
    'D3_UPDATE_MSG_UNREGISTERED_FILES'                 => 'Your module installation has the following unregistered files. To ensure the proper functioning of your module, you should check if these files can be removed. For security reasons, this installation step can not be performed automatically. Please delete the files manually and continue the installation here. Alternatively, skip this note with the "Skip" buttons shown below. <br> <br>%1$s <br> <br> If you have questions, contact the module author.',
    'D3_UPDATE_MSG_DISABLED_MODCFGMODULE'              => 'The D3 module connector has been temporarily deactivated by the shop software. Please activate this immediately, that this does not trigger any errors. '. PHP_EOL.PHP_EOL.'To reactivate the module:'. PHP_EOL .'- click on the "Run" -button on this page (if available) * or * '. PHP_EOL .'- call up in the admin area of your shop the menu item "Extensions -> Modules" - Execute the reactivation necessarily before the next installation steps. '. PHP_EOL.PHP_EOL.'In an enterprise edition with several clients, the reactivation is in every configured shop needed.',

    'D3_UPDATE_MSGADDTABLE'                            => 'add table "%1$s"',

    'SHOP_MODULE_GROUP_d3thememapping_global'     => 'assign template blocks to your individual theme (global setting for D3 modules)',
    'SHOP_MODULE_GROUP_d3thememapping_module'     => 'assign template blocks to your individual theme (setting for this module only)',
    'SHOP_MODULE_d3custParentThemeMappedToWave_'.$sModId => 'If this herein referenced theme is active, "<b>Wave</b>" template blocks of the module is used.',
    'SHOP_MODULE_d3custParentThemeMappedToApex_'.$sModId => 'If this herein referenced theme is active, "<b>Apex</b>" template blocks of the module is used.',

    'HELP_SHOP_MODULE_d3custParentThemeMappedToWave_'.$sModId => $sD3Help_mappedTo,
    'HELP_SHOP_MODULE_d3custParentThemeMappedToApex_'.$sModId => $sD3Help_mappedTo,
];
